#include <iostream>
#include <random>
#include <ctime>

int main() {
    // Seed with current time
    std::mt19937 gen(static_cast<unsigned int>(std::time(0)));

    // Generate and print a few random numbers
    for (int i = 0; i < 5; ++i) {
        std::cout << "Random number: " << gen() << std::endl;
    }

    // Print the range of generated numbers
    std::cout << "Min value: " << gen.min() << std::endl;
    std::cout << "Max value: " << gen.max() << std::endl;

    return 0;
}
